Name:		spacefm
Version:	0.9.4
Release:	%mkrel 3
Summary:	A multi-panel tabbed file manager
Group:		File tools
License:	GPLv3+
Url:		http://ignorantguru.github.com/spacefm/
Source0:	http://download.sourceforge.net/spacefm/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)

# To perform 'run as root' functions
Recommends:	gksu

# Eject media
Recommends:	util-linux

# For device processes
Recommends:	lsof

# Mount as non-root user
Recommends:	udisks2

# For plugin download
Recommends:	wget

%description
SpaceFM is a multi-panel tabbed file manager with built-in VFS, udev-based
device manager, customizable menu system, and bash integration.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# for configs
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%post
%clean_icon_cache Faenza

%postun
%clean_icon_cache Faenza

%files -f %{name}.lang
%doc data/spacefm-manual-en.html
%{_bindir}/%{name}*
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/spacefm-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/Faenza/apps/*/spacefm*.png


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-3.mga5
+ Revision: 742512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-2.mga5
+ Revision: 689261
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Apr 25 2014 wally <wally> 0.9.4-1.mga5
+ Revision: 618003
- new version 0.9.4
- drop unneeded str fmt patch

* Wed Feb 05 2014 wally <wally> 0.9.3-3.mga5
+ Revision: 583707
- update icon cache in %%post only if it exists

* Wed Feb 05 2014 wally <wally> 0.9.3-2.mga5
+ Revision: 583643
- add post and postun scripts to update Faenza icon cache

* Wed Feb 05 2014 wally <wally> 0.9.3-1.mga5
+ Revision: 583625
- new version 0.9.3
- add str fmt patch from Fedora

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 523824
- Mageia 4 Mass Rebuild

* Sat May 25 2013 wally <wally> 0.8.7-1.mga4
+ Revision: 427438
- new version 0.8.7
- drop unneeded str fmt patch

* Mon Jan 14 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 382406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-1.mga3
+ Revision: 336144
- new version 0.8.4
- suggest some pkgs for optional functionality

* Sat Dec 01 2012 wally <wally> 0.8.3-1.mga3
+ Revision: 324236
- imported package spacefm

